## org.eclipse.emf.ecoretools.tabbedproperties.sections.widgets
Class ChooseDialog

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.jface.dialogs.TrayDialog
                  org.eclipse.ui.dialogs.SelectionDialog
                      org.eclipse.emf.ecoretools.tabbedproperties.sections.widgets.ChooseDialog

All Implemented Interfaces:
  org.eclipse.jface.window.IShellProvider

    public class ChooseDialog

extends org.eclipse.ui.dialogs.SelectionDialog

The dialog used to choose between the different objects

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.window.Window
`org.eclipse.jface.window.Window.IExceptionHandler`

Field Summary

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`ChooseDialog(org.eclipse.swt.widgets.Shell parentShell, java.lang.Object[] objects)` Constructor

Method Summary
`protected void` `configureShell(org.eclipse.swt.widgets.Shell shell)`
`protected org.eclipse.swt.widgets.Control` `createDialogArea(org.eclipse.swt.widgets.Composite parent)` Create the Dialog area
`protected void` `okPressed()`
`void` `setLabelProvider(org.eclipse.jface.viewers.ILabelProvider provider)` Set the provider that displays the objects

Methods inherited from class org.eclipse.ui.dialogs.SelectionDialog
`createButtonsForButtonBar, createMessageArea, getDialogBoundsSettings, getDialogBoundsStrategy, getInitialElementSelections, getInitialSelections, getMessage, getOkButton, getResult, isResizable, setDialogBoundsSettings, setInitialElementSelections, setInitialSelections, setMessage, setResult, setSelectionResult, setTitle`

Methods inherited from class org.eclipse.jface.dialogs.TrayDialog
`close, closeTray, createButtonBar, createHelpControl, getLayout, getTray, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, buttonPressed, cancelPressed, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, createButton, createContents, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getImage, getInitialLocation, getInitialSize, getOKButton, initializeBounds, initializeDialogUnits, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

Methods inherited from class org.eclipse.jface.window.Window

`canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, handleShellCloseEvent, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChooseDialog

    public ChooseDialog(org.eclipse.swt.widgets.Shell parentShell,
                        java.lang.Object[] objects)

  Constructor

  Parameters:
    `parentShell` - the paren shell
    `objects` - The available objects

Method Detail

### configureShell

    protected void configureShell(org.eclipse.swt.widgets.Shell shell)

  Overrides:
    `configureShell` in class `org.eclipse.ui.dialogs.SelectionDialog`
  See Also:
    `SelectionDialog.configureShell(org.eclipse.swt.widgets.Shell)`

### createDialogArea

    protected org.eclipse.swt.widgets.Control createDialogArea(org.eclipse.swt.widgets.Composite parent)

  Create the Dialog area

  Overrides:
    `createDialogArea` in class `org.eclipse.jface.dialogs.Dialog`
  See Also:
    `Dialog.createDialogArea(org.eclipse.swt.widgets.Composite)`

### setLabelProvider

    public void setLabelProvider(org.eclipse.jface.viewers.ILabelProvider provider)

  Set the provider that displays the objects

  Parameters:
    `provider` - the LabelProvider

### okPressed

    protected void okPressed()

  Overrides:
    `okPressed` in class `org.eclipse.jface.dialogs.Dialog`
  See Also:
    `Dialog.okPressed()`

Copyright 2007 Anyware Technologies. All Rights Reserved.